Get Available Configurations for Control Plane
get
/api/v1/configuration/cpConfig
Get all available configurations for the control plane.
Request
Header Parameters
-
Authorization(required): string
Bearer access token. Supply as: Bearer
.
Response
Supported Media Types
- application/json
200 Response
OK
Root Schema : CpConfigMap
Type:
objectPublic control plane configuration map. Server-managed controlPlaneId is omitted.
Show Source
-
activeLdapId:
string
Allowed Values:
[ "DEFAULT-LDAP-ID-001" ]The only supported LDAP identifier. Saving this value activates default LDAP before any provider has been activated. -
consoleIdleTimeout:
string
Timeout time (in minutes) of Idle CP
-
notificationTimeout:
string
Timeout(in minutes) for notifications
401 Response
Unauthorized
Root Schema : AuthError
Type:
objectAuthentication or authorization error returned by request filters.
Show Source
-
code(required):
string
Allowed Values:
[ "UNAUTHENTICATED", "FORBIDDEN", "NOT_FOUND" ] -
message(required):
string
403 Response
Forbidden. The authenticated caller lacks a required global role, instance-access-group membership, or a valid CSRF token.
Root Schema : AuthError
Type:
objectAuthentication or authorization error returned by request filters.
Show Source
-
code(required):
string
Allowed Values:
[ "UNAUTHENTICATED", "FORBIDDEN", "NOT_FOUND" ] -
message(required):
string
500 Response
Internal Server Error
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings